Phase (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.phase

## Class Phase

- java.lang.Object
- - org.apache.cxf.phase.Phase

- All Implemented Interfaces:
    `Comparable<Object>`

      public class Phase
      extends Object
      implements Comparable<Object>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `INVOKE` |
    `static String` | `MARSHAL` |
    `static String` | `MARSHAL_ENDING` |
    `static String` | `POST_INVOKE` |
    `static String` | `POST_LOGICAL` |
    `static String` | `POST_LOGICAL_ENDING` |
    `static String` | `POST_MARSHAL` |
    `static String` | `POST_PROTOCOL` |
    `static String` | `POST_PROTOCOL_ENDING` |
    `static String` | `POST_STREAM` |
    `static String` | `POST_STREAM_ENDING` |
    `static String` | `POST_UNMARSHAL` |
    `static String` | `PRE_INVOKE` |
    `static String` | `PRE_LOGICAL` |
    `static String` | `PRE_LOGICAL_ENDING` |
    `static String` | `PRE_MARSHAL` |
    `static String` | `PRE_PROTOCOL` |
    `static String` | `PRE_PROTOCOL_ENDING` |
    `static String` | `PRE_PROTOCOL_FRONTEND` |
    `static String` | `PRE_STREAM` |
    `static String` | `PRE_STREAM_ENDING` |
    `static String` | `PRE_UNMARSHAL` |
    `static String` | `PREPARE_SEND` |
    `static String` | `PREPARE_SEND_ENDING` |
    `static String` | `PROTOCOL` |
    `static String` | `READ` |
    `static String` | `RECEIVE` |
    `static String` | `SEND` |
    `static String` | `SEND_ENDING` |
    `static String` | `SETUP` |
    `static String` | `SETUP_ENDING` |
    `static String` | `UNMARSHAL` |
    `static String` | `USER_LOGICAL` |
    `static String` | `USER_LOGICAL_ENDING` |
    `static String` | `USER_PROTOCOL` |
    `static String` | `USER_PROTOCOL_ENDING` |
    `static String` | `USER_STREAM` |
    `static String` | `USER_STREAM_ENDING` |
    `static String` | `WRITE` |
    `static String` | `WRITE_ENDING` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Phase()` |
    `Phase​(String n, int p)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Object o)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getName()` |
    `int` | `getPriority()` |
    `int` | `hashCode()` |
    `void` | `setName​(String n)` |
    `void` | `setPriority​(int p)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SETUP

          public static final String SETUP

      See Also:
        Constant Field Values

    - #### SETUP_ENDING

          public static final String SETUP_ENDING

      See Also:
        Constant Field Values

    - #### PRE_LOGICAL

          public static final String PRE_LOGICAL

      See Also:
        Constant Field Values

    - #### PRE_LOGICAL_ENDING

          public static final String PRE_LOGICAL_ENDING

      See Also:
        Constant Field Values

    - #### USER_LOGICAL

          public static final String USER_LOGICAL

      See Also:
        Constant Field Values

    - #### USER_LOGICAL_ENDING

          public static final String USER_LOGICAL_ENDING

      See Also:
        Constant Field Values

    - #### POST_LOGICAL

          public static final String POST_LOGICAL

      See Also:
        Constant Field Values

    - #### POST_LOGICAL_ENDING

          public static final String POST_LOGICAL_ENDING

      See Also:
        Constant Field Values

    - #### PRE_MARSHAL

          public static final String PRE_MARSHAL

      See Also:
        Constant Field Values

    - #### MARSHAL

          public static final String MARSHAL

      See Also:
        Constant Field Values

    - #### POST_MARSHAL

          public static final String POST_MARSHAL

      See Also:
        Constant Field Values

    - #### MARSHAL_ENDING

          public static final String MARSHAL_ENDING

      See Also:
        Constant Field Values

    - #### PRE_PROTOCOL

          public static final String PRE_PROTOCOL

      See Also:
        Constant Field Values

    - #### PRE_PROTOCOL_FRONTEND

          public static final String PRE_PROTOCOL_FRONTEND

      See Also:
        Constant Field Values

    - #### PRE_PROTOCOL_ENDING

          public static final String PRE_PROTOCOL_ENDING

      See Also:
        Constant Field Values

    - #### USER_PROTOCOL

          public static final String USER_PROTOCOL

      See Also:
        Constant Field Values

    - #### USER_PROTOCOL_ENDING

          public static final String USER_PROTOCOL_ENDING

      See Also:
        Constant Field Values

    - #### POST_PROTOCOL

          public static final String POST_PROTOCOL

      See Also:
        Constant Field Values

    - #### POST_PROTOCOL_ENDING

          public static final String POST_PROTOCOL_ENDING

      See Also:
        Constant Field Values

    - #### PREPARE_SEND

          public static final String PREPARE_SEND

      See Also:
        Constant Field Values

    - #### PREPARE_SEND_ENDING

          public static final String PREPARE_SEND_ENDING

      See Also:
        Constant Field Values

    - #### PRE_STREAM

          public static final String PRE_STREAM

      See Also:
        Constant Field Values

    - #### PRE_STREAM_ENDING

          public static final String PRE_STREAM_ENDING

      See Also:
        Constant Field Values

    - #### USER_STREAM

          public static final String USER_STREAM

      See Also:
        Constant Field Values

    - #### USER_STREAM_ENDING

          public static final String USER_STREAM_ENDING

      See Also:
        Constant Field Values

    - #### POST_STREAM

          public static final String POST_STREAM

      See Also:
        Constant Field Values

    - #### POST_STREAM_ENDING

          public static final String POST_STREAM_ENDING

      See Also:
        Constant Field Values

    - #### WRITE

          public static final String WRITE

      See Also:
        Constant Field Values

    - #### WRITE_ENDING

          public static final String WRITE_ENDING

      See Also:
        Constant Field Values

    - #### SEND

          public static final String SEND

      See Also:
        Constant Field Values

    - #### SEND_ENDING

          public static final String SEND_ENDING

      See Also:
        Constant Field Values

    - #### RECEIVE

          public static final String RECEIVE

      See Also:
        Constant Field Values

    - #### READ

          public static final String READ

      See Also:
        Constant Field Values

    - #### PROTOCOL

          public static final String PROTOCOL

      See Also:
        Constant Field Values

    - #### PRE_UNMARSHAL

          public static final String PRE_UNMARSHAL

      See Also:
        Constant Field Values

    - #### UNMARSHAL

          public static final String UNMARSHAL

      See Also:
        Constant Field Values

    - #### POST_UNMARSHAL

          public static final String POST_UNMARSHAL

      See Also:
        Constant Field Values

    - #### PRE_INVOKE

          public static final String PRE_INVOKE

      See Also:
        Constant Field Values

    - #### INVOKE

          public static final String INVOKE

      See Also:
        Constant Field Values

    - #### POST_INVOKE

          public static final String POST_INVOKE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Phase

          public Phase()

    - #### Phase

          public Phase​(String n,
                       int p)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String n)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority​(int p)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo​(Object o)

      Specified by:
        `compareTo` in interface `Comparable<Object>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`